const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const school_statistics = sequelize.define(
    'school_statistics',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

student_count: {
        type: DataTypes.INTEGER,
      
      

      },

teacher_count: {
        type: DataTypes.INTEGER,
      
      

      },

pass_rate: {
        type: DataTypes.DECIMAL,
      
      

      },

notes: {
        type: DataTypes.TEXT,
      
      

      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  school_statistics.associate = (db) => {


/// loop through entities and it's fields, and if ref === current e[name] and create relation has many on parent entity






































//end loop



    db.school_statistics.belongsTo(db.school_years, {
      as: 'school_year',
      foreignKey: {
        name: 'school_yearId',
      },
      constraints: false,
    });




    db.school_statistics.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.school_statistics.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };



  return school_statistics;
};


